/*
 * Copyright (c) 2013 Oracle and/or its affiliates. All rights reserved.
 *
 * @fileOverview
 * Implements a default store for lux Dashboard pattern.
 * @author Shailesh Zirpe
 */
define(['ojs/ojcore', 'knockout', 'jquery', './Collection', './ctrlModel', 'ojs/ojmodel'], function(oj, ko, $, ParentCollection, CtrlModel) {

    var ctrlModel = new CtrlModel();

    var CtrlCollection = ParentCollection.extend({
        model:            ctrlModel,
        setURL_and_fetch: function(URL, $dfd) {
            ParentCollection.prototype.setURL_and_fetch.apply(this, arguments); // call to super
        }
    });

    return CtrlCollection;
});
