/**
 * Created by bsacksteder on 12/8/14.
 */
define([],
    function () {
        'use strict';
        var TIMESCALE_TYPE = {
            order : ['WEEK_DAY', 'MONTH_WEEK', 'QUARTER_MONTH', 'YEAR_MONTH', 'YEAR_QUARTER'],
            WEEK_DAY : {
                label : 'weekDay',
                key : 'WEEK_DAY',
                granularitySize : 1
            },
            MONTH_WEEK : {
                label : 'monthWeek',
                key : 'MONTH_WEEK',
                granularitySize : 7
            },
            QUARTER_MONTH : {
                label : 'quarterMonth',
                key : 'QUARTER_MONTH',
                granularitySize : 30
            },
            YEAR_MONTH : {
                label : 'yearMonth',
                key : 'YEAR_MONTH',
                granularitySize : 30
            },
            YEAR_QUARTER : {
                label : 'yearQuarter',
                key : 'YEAR_QUARTER',
                granularitySize : 120
            }

        };

        return TIMESCALE_TYPE;
    }
);
