define([
    'gridapi.jquery',
    'gridapi.lodash',
    'gridapi.grid/columns/core/headerRenderer'
], function ($, _, renderer) {
    'use strict';

    return renderer.extend({
        getHeaderMarkup : function (column) {
            var html = '<input  tabindex="-1" type="checkbox"/>';
            if (column.title != null && column.title.length) {
                html += '<div class="header-cell-title">' + column.title + '</div>';
            }
            return html;
        }
    });
});
