define([], function () {
    'use strict';
    var activity = 'Activity';
    var count = 1;
    function generateRecords(parent, number, args) {
        var mydata = [];
        for (var index = 0; index < number; index++) {
            var id = (parent != null ? parent + '-' : '') + (index).toString();
            var obj = {
                'id' : id,
                'parentId' : parent,
                children : [],
                'title' : activity + ' ' + count,
                '__location__' : 'a'
            };
            ++count;
            mydata.push(obj);
        }
        return mydata;
    }

    return {

        get : function (args) {
            activity = args.locale.activity;
            var baseRecords = generateRecords(null, 3);
            for (var i = 0; i < baseRecords.length; i++) {
                baseRecords[i].children = generateRecords(baseRecords[i].id, 2);
                for (var j = 0; j < baseRecords[i].children.length; j++) {
                    baseRecords[i].children[j].children = generateRecords(baseRecords[i].children[j].id, 2);
                    for (var k = 0; k < baseRecords[i].children[j].children.length; k++) {
                        baseRecords[i].children[j].children[k].children = generateRecords(baseRecords[i].children[j].children[k].id, 1);
                        for (var l = 0; l < baseRecords[i].children[j].children[k].children.length; l++) {
                            baseRecords[i].children[j].children[k].children[l].children = generateRecords(baseRecords[i].children[j].children[k].children[l].id, 1);
                            for (var m = 0; m < baseRecords[i].children[j].children[k].children[l].children.length; m++) {
                                baseRecords[i].children[j].children[k].children[l].children[m].children = generateRecords(baseRecords[i].children[j].children[k].children[l].children[m].id, 1);
                                for (var n = 0; n < baseRecords[i].children[j].children[k].children[l].children[m].children.length; n++) {
                                    baseRecords[i].children[j].children[k].children[l].children[m].children[n].children = generateRecords(baseRecords[i].children[j].children[k].children[l].children[m].children[n].id, 5);
                                }
                            }
                        }
                    }
                }
            }
            return baseRecords;
        }

    };
});

