define([], function () {
    'use strict';
    var CONSTANTS = {
        DUMMY_RECORD_ID : 'DUMMY-NEW-RECORD',
        EMPTY_COLUMN : 'empty-column',
        MENU_BUTTON_COLUMN : 'menu-button-column',
        ROW_SELECTOR : 'row-selector',
        ROW_SELECTOR_GROUP : 'row-selector-group',
        MENU_BUTTON_GROUP : 'menu-button-group',
        HEADERS_ROWSET_ID : 'headers',
        COLUMNFILTER_ROWSET_ID: 'columnFilterRowsetId',
        ADVANCED_FILTER_ROWSET_ID: 'advancedFilterRowsetId',
        QUICK_ADD_ROWSET_ID : 'quick-add',

        ROWSET_TYPE : {
            FIXED : 'fixed',
            FLEX : 'flex',
            MANUAL : 'manual'
        },
        COLUMN_DISPLAY_TYPE : {
            TEXT : 'text',
            TEXT_AREA : 'textArea',
            DATE : 'date',
            CHECK : 'check',
            SELECT : 'select',
            SPINNER : 'spinner',
            PICKER : 'picker',
            DOUBLE_PICKER : 'doublePicker',
            COST : 'cost',
            PERCENT : 'percent',
            NUMBER : 'number',
            LINK : 'link',
            YES_NO : 'yesNo',
            COLOR : 'color',
            TIMEPHASED : 'timephased',
            ICON : 'icon',
            JOINED_ICON : 'joinedIcon',
            RICH_TEXT : 'richText',
            ROW_SELECTOR : 'rowSelector'
        },
        GROUP_TYPE : {
            FLEX : 'flex',
            FIXED : 'fixed'
        },
        SHOW_CELL_LOCATION : {
            MIDDLE : 'middle',
            TOP : 'top',
            BUTTOM : 'bottom'
        },
        COLUMN_ONLY_ATTRS : [
            'resizeable', 'title', 'tooltip', 'headerAlign',
            'width', 'resizable', 'draggable', 'filterable', 'sortable',
            'hideable', 'filldown', 'minWidth'
        ],
        GRANULARITY : {
            DAILY : 'DAILY',
            WEEKLY : 'WEEKLY',
            MONTHLY : 'MONTHLY',
            QUARTERLY : 'QUARTERLY',
            REPORTING_PERIOD : 'REPORTING_PERIOD'
        },
        NO_GROUP : 'NOGROUP'
    };

    return CONSTANTS;
});
