define(function () {
    "use strict";

    return {
        notSorted : "Click to sort ascending",
        sort : "Sort",
        sortAscending : "Ascending",
        sortDescending : "Descending",
        sortedAscending : "Sorted ascending, click to sort descending",
        sortedDescending : "Sorted descending, click to clear sort",
        openColumnGroupMenu : 'Open Menu',
        columnAdjustToContent : 'Adjust to fit content',
        columnHideColumn : 'Hide column',
        columnToggle : "Columns",
        invalidFormatError : "Format not correct for cell.",
        uniqueError : "{0}: Already exists. Enter a unique value.",
        loading : "Loading...",
        required : "Required",
        autoNumbered : "Auto Number",
        selectDeselect : "Select / Deselect",
        selectDeselectAll : "Select All / Deselect All",
        noResultsFound : "No search results found.",
        selected : "Selected",
        unselected : "Unselected",
        selectedColumns : "Selected Columns",
        unselectedColumns : "Unselected Columns",
        gridSummary : "",
        gridUsage : "This is a virtualized data grid, only visible rows are rendered in the browser. As you move up and down through the list more items will show. Use the arrow keys and tab to navigate through the grid. Press escape to exit action mode and allow tab to take you away from the grid. F2 or Enter will open the cells editor. Pressing space will activate cells with special actions such as links, or buttons. If enabled the menu key will open a context menu for the selected rows.",
        gridLabel : "Data Grid",
        rowsSelected : "{0} Rows Selected",
        yes : "Yes",
        no : "No",
        quickAddHint : "Add {0}",
        quickAddHintType : "record",
        escapeModeText : "Press tab to skip over this grid widget. Press enter, escape or click to enter the grid.",
        noActionsAvailable : "No Actions Available",
        noGroupValue : "None",
        popoverTooltip : "More Info",
        richTextEditor : {
            accept : "Apply",
            cancel : "Cancel",
            close : "Close"
        },
        cellState : {
            groupRowHeaderLabel : "Group Row",
            rowHeaderLabel : "Row",
            columnHeaderLabel : "Column",
            cellLabel : "Cell Value",
            editableCell : "Press f2 or enter to open editor.",
            checkboxCell : "Press space to toggle checkbox",
            selectRowCell : "Press space to toggle row selection",
            linkCell : "Press space to activate link.",
            errorOnCell : "Press space to read cell errors",
            menuLabel : "Context menu",
            menuButtonDescription : "Press space to open context menu.",
            quickAddButtonDescription : "Press space to add a new row",
            errorsLabel : "Cell Errors",
            columnSort : "Press space to sort by column."
        },
        columnEditors : {
            text : "Standard text editor input, enter text for this column.",
            textArea : "Standard text area editor input, enter text for this column.",
            number : "Enter a numerical value.",
            select : "Combo box editor, press up and down to go through the list to select a value. Select value with enter.",
            spinner : "Enter a value or press up and down to increment and decrement the value.",
            date : "Enter a date as text or press f2 to open date picker.",
            picker : "Press f2 to open a picker popup to select items."
        },
        export : {
            fileName: "Download",
            worksheetName: "Sheet1",
            user : "A User"
        },
        statusBar : {
            countLabel : "Total Records:",
            enable : "Enable",
            disable : "Disable",
            readOnlyCellStyle : "Highlight read-only cells",
            exportToExcel : "Download"
        },
        timephased : {
            weekDay : "Week/Day",
            monthWeek : "Month/Week",
            quarterMonth : "Quarter/Month",
            yearMonth : "Year/Month",
            yearQuarter : "Year/Quarter",
            viewMore : "Show 10 More",
            weekOf : "Week of {0}",
            reportingPeriod : "Reporting Period: {0}"
        },
        themeConfigurator : {
            activity : "Activity",
            configure : "Configure",
            theme : "Theme",
            classic : "Classic",
            modern : "Modern",
            style: "Style",
            colors : "Colors",
            preview :"Preview",
            settings : "Settings",
            groupingStyle : {
                modernBands : "Horizontal bands",
                modernBrackets : "Brackets",
                modernNotches : "Vertical bands",
                modernLine : "Vertical lines",
                none : "None",
                classicBands : "Classic P6"
            },
            groupingThemes : {
                classicPastel : "Classic P6",
                classicVibrant : "Vibrant",
                modernPastel : "Pastel",
                modernHighlighter : "Highlighter",
                modernDark : "Dark",
                modernGrey : "Grey"
            }
        },
        printConfigurator : {
            grid : {
                legend : "Grid",
                orientation : "Orientation",
                portrait : "Portrait",
                landscape : "Landscape",
                pages : "Fit to number of pages"
            },
            gantt : {
                legend : "Gantt",
                scale : "Scale",
                columns : "Number of Columns",
                startDate : "From",
                endDate : "To",
                repeat : "Repeat",
                repeatFirst : "First column",
                repeatAll : "All columns",
                repeatNone : "None"
            }
        }
    };
});
