define(function () {
    'use strict';

    return {
        notSorted : "Cancella ordinamento",
        sortedAscending : "Ordinamento crescente",
        sortedDescending : "Ordinamento decrescente",
        columnToggle : "Colonne",
        invalidFormatError : "Formato del valore non corretto.",
        uniqueError : "{0}: esiste già. Immettere un valore univoco.",
        loading : "Caricamento in corso...",
        required : "Obbligatorio",
        autoNumbered : "Numerazione automatica",
        selectDeselect : "Seleziona/deseleziona",
        selectDeselectAll : "Seleziona/deseleziona tutto",
        noResultsFound : "Nessun risultato di ricerca trovato.",
        selected : "Selezionato",
        unselected : "Non selezionato",
        gridLabel : "Griglia dati",
        gridUsage : "Questa è una griglia dati virtualizzata. Nel browser viene eseguito il rendering solo delle righe visibili. Spostandosi verso l'alto e verso il basso nell'elenco verranno mostrati ulteriori elementi. Usare i tasti di direzione e il tasto TAB per spostarsi nella griglia. Premere Esc per disattivare la modalità azione e uscire dalla griglia con il tasto TAB. F2 o Invio apriranno l'editor delle celle. Premendo la barra spaziatrice si attivano le celle con azioni speciali, ad esempio collegamenti o pulsanti. Se attivato, il tasto menu aprirà un menu di scelta rapida per le righe selezionate.",
        rowsSelected : "{0} righe selezionate",
        yes : "Sì",
        no : "No",
        quickAddHint : "Aggiungi {0}",
        escapeModeText : "Premere TAB per saltare questo widget griglia. Premere Invio, Esc o fare clic per accedere alla griglia.",
        noActionsAvailable : " Nessuna azione disponibile",
        noGroupValue : "Nessuno",
        richTextEditor : {
            accept : "Applica",
            cancel : "Annulla",
            close : "Chiudi"
        },
        cellState : {
            groupRowHeaderLabel : "Raggruppa riga",
            rowHeaderLabel : "Riga",
            columnHeaderLabel : "Colonna",
            cellLabel : "Valore cella",
            editableCell : "Premere F2 o Invio per aprire l'editor",
            checkboxCell : "Premere la barra spaziatrice per attivare/disattivare la casella di controllo",
            selectRowCell : "Premere la barra spaziatrice per attivare/disattivare la selezione della riga",
            linkCell : "Premere la barra spaziatrice per attivare il collegamento",
            errorOnCell : "Premere la barra spaziatrice per leggere gli errori della cella",
            menuLabel : "Menu di scelta rapida",
            menuButtonDescription : "Premere la barra spaziatrice per aprire il menu di scelta rapida",
            quickAddButtonDescription : "Premere la barra spaziatrice per aggiungere una nuova riga",
            errorsLabel : "Errori cella",
            columnSort : "Premere la barra spaziatrice per ordinare in base alla colonna"
        },
        columnEditors : {
            text : "Input editor di testo standard, immettere il testo per la colonna",
            textArea : "Input editor area di testo standard, immettere il testo per la colonna",
            number : "Immettere un valore numerico",
            select : "Premere TAB per saltare questo widget griglia. Premere Invio, Esc o fare clic per accedere alla griglia.",
            spinner : "Editor di casella combinata. Premere Freccia SU e Freccia GIÙ per scorrere l'elenco per selezionare un valore. Premere Invio per selezionare un valore.",
            date : "Immettere una data come testo o premere F2 per aprire un selettore data.",
            picker : "Premere F2 per aprire un popup del selettore e selezionare gli elementi."
        },
        export : {
            fileName : "Scarica",
            worksheetName : "Foglio 1",
            user : "Un utente"
        },
        statusBar : {
            countLabel : "Totale:",
            enable : "Abilita",
            disable : "Disabilita",
            readOnlyCellStyle : "Evidenzia celle di sola lettura",
            exportToExcel : "Scarica"
        },
        timephased : {
            weekDay : "Settimana/giorno",
            monthWeek : "Mese/settimana",
            quarterMonth : "Trimestre/mese",
            yearMonth : "Anno/mese",
            yearQuarter : "Anno/trimestre",
            viewMore : "Mostra altri 10",
            weekOf : "Settimana del {0}",
            reportingPeriod : "Periodo generazione report: {0}"
        },
        printConfigurator : {
            grid : {
                legend : "Griglia",
                orientation : "Orientamento",
                portrait : "Verticale",
                landscape : "Orizzontale",
                pages : "Adatta a numero di pagine"
            },
            gantt : {
                legend : "Gantt",
                columns : "Numero di colonne",
                startDate : "Da",
                endDate : "A",
                repeatColumn : "Ripeti prima colonna",
                other : "Altro"
            }
        }
    };
});
