define(function () {
    'use strict';

    return {
        notSorted : "Sortering wissen",
        sortedAscending : "Oplopend sorteren",
        sortedDescending : "Aflopend sorteren",
        columnToggle : "Kolommen",
        invalidFormatError : "De opmaak, indeling of notatie van deze waarde is onjuist.",
        uniqueError : "{0}: bestaat al. Voer een unieke waarde in.",
        loading : "Bezig met laden...",
        required : "Verplicht",
        autoNumbered : "Automatisch nummeren",
        selectDeselect : "Selecteren/Deselecteren",
        selectDeselectAll : "Alles selecteren/deselecteren",
        noResultsFound : "Geen zoekresultaten gevonden",
        selected : "Geselecteerd",
        unselected : "Niet geselecteerd",
        gridLabel : "Gegevensraster",
        gridUsage : "Dit is een gevirtualiseerd gegevensraster. Alleen zichtbare rijen worden in de browser weergegeven. Blader met de pijl omhoog en de pijl omlaag door de lijst om meer items te tonen. Gebruik de pijlknoppen en Tab om door het raster te navigeren. Druk op Escape om de actiemodus af te sluiten zodat u met Tab het raster kunt verlaten. Als u op F2 of Enter drukt, wordt de celeditor geopend. Druk op de spatiebalk om cellen met speciale acties (zoals koppelingen of knoppen) te activeren. Als u op de menutoets drukt (indien geactiveerd), wordt een contextmenu voor de geselecteerde rijen geopend.",
        rowsSelected : "{0} rijen geselecteerd",
        yes : "Ja",
        no : "Nee",
        quickAddHint : "{0} toevoegen",
        escapeModeText : "Druk op Tab om deze rasterwidget over te slaan. Druk op Enter of Escape, of klik om het raster te openen.",
        noActionsAvailable : " Geen acties beschikbaar",
        noGroupValue : "Geen",
        richTextEditor : {
            accept : "Toepassen",
            cancel : "Annuleren",
            close : "Sluiten"
        },
        cellState : {
            groupRowHeaderLabel : "Rij groeperen",
            rowHeaderLabel : "Rij",
            columnHeaderLabel : "Kolom",
            cellLabel : "Celwaarde",
            editableCell : "Druk op F2 of Enter om de editor te openen.",
            checkboxCell : "Druk op de spatiebalk om het selectievakje in of uit te schakelen.",
            selectRowCell : "Druk op de spatiebalk om de rijselectie in of uit te schakelen.",
            linkCell : "Druk op de spatiebalk om de koppeling te activeren.",
            errorOnCell : "Druk op de spatiebalk om de celfouten te lezen.",
            menuLabel : "Contextmenu",
            menuButtonDescription : "Druk op de spatiebalk om het contextmenu te openen.",
            quickAddButtonDescription : "Druk op de spatiebalk om een nieuwe rij toe te voegen.",
            errorsLabel : "Celfouten",
            columnSort : "Druk op de spatiebalk om te sorteren op kolom."
        },
        columnEditors : {
            text : "Standaardinvoer voor teksteditor. Voer tekst in voor deze kolom.",
            textArea : "Standaardinvoer voor tekstgebiededitor. Voer tekst in voor deze kolom.",
            number : "Voer een numerieke waarde in.",
            select : "Druk op Tab om deze rasterwidget over te slaan. Druk op Enter of Escape, of klik om het raster te openen.",
            spinner : "Editor voor keuzelijst met invoervak. Druk op de pijl omhoog en de pijl omlaag om door de lijst te bladeren en een waarde te selecteren. U selecteert een waarde door op Enter te drukken.",
            date : "Voer een datum als tekst in of druk op F2 om de datumkiezer te openen.",
            picker : "Druk op F2 om een pop-upvenster voor datumselectie te openen waarin u items kunt selecteren."
        },
        export : {
            fileName : "Downloaden",
            worksheetName : "Blad1",
            user : "Een gebruiker"
        },
        statusBar : {
            countLabel : "Totaal:",
            enable : "Activeren",
            disable : "Deactiveren",
            readOnlyCellStyle : "Cellen (alleen-lezen) markeren",
            exportToExcel : "Downloaden"
        },
        timephased : {
            weekDay : "Week/Dag",
            monthWeek : "Maand/Week",
            quarterMonth : "Kwartaal/Maand",
            yearMonth : "Jaar/Maand",
            yearQuarter : "Jaar/Kwartaal",
            viewMore : "Nog 10 tonen",
            weekOf : "Week van {0}",
            reportingPeriod : "Rapportageperiode: {0}"
        },
        printConfigurator : {
            grid : {
                legend : "Raster",
                orientation : "Afdrukstand",
                portrait : "Staand",
                landscape : "Liggend",
                pages : "Aanpassen aan aantal pagina's"
            },
            gantt : {
                legend : "Gantt",
                columns : "Aantal kolommen",
                startDate : "Van",
                endDate : "Aan",
                repeatColumn : "Eerste kolom herhalen",
                other : "Overig"
            }
        }
    };
});
