/**
 * Copyright (c) 2018 Oracle and/or its affiliates. All rights reserved.
 * @author Daniel Hoang
 */
define([
    'ojs/ojcore',
    './viewModel',
    'text!./view.html',
    'text!./component.json',
    'css!./styles.css',
    'css!./styles/lux-oj-alta-grid.css',
    'ojs/ojcomposite',
    // grid dependencies
    'underscore',
    'gridapi.columns/textColumn',
    'gridapi.grid/boilerplateArrayMediator',
    'gridapi.grid/gridWidget'
],
function(oj, viewModel, view, metadata) {
    'use strict';
    oj.Composite.register('oj-lux-grid', {
        view:      view,
        viewModel: viewModel,
        metadata:  JSON.parse(metadata)
    });
});
