define(function () {
    'use strict';

    return {
        relationships : {
            predecessor : 'Predecessor: ',
            successor : 'Successor: ',
            lag : 'Lag: ',
            type : 'Type: ',
            startToFinish : 'Start to Finish',
            startToStart : 'Start to Start',
            finishToStart : 'Finish to Start',
            finishToFinish : 'Finish to Finish'
        },
        tooltips : {
            start : 'Start: ',
            end : 'Finish: ',
            percent : '% Complete: '
        },
        timescale : {
            weekDay : 'Week/Day',
            monthWeek : 'Month/Week',
            quarterMonth : 'Quarter/Month',
            yearMonth : 'Year/Month',
            yearQuarter : 'Year/Quarter',
            zoomToFit : 'Zoom to Fit',
            weekOf : 'Week of {0}'
        },

        optionsConfigurator : {
            show : 'Show',
            timescale : 'Timescale',
            criticalPath : 'Critical relationships',
            dataDateLine : 'Data date line',
            nonDrivingRelationships : 'Non-driving relationships',
            relationshipLines : 'Relationship lines',
            sightLines : 'Sight Lines',
            unavailableShading : 'Non-work time shading',
            timescales : {
                weekDay : 'Week / Day',
                monthWeek : 'Month / Week',
                quarterMonth : 'Quarter / Month',
                yearMonth : 'Year / Month',
                yearQuarter : 'Year / Quarter'
            }
        },
        barConfigurator : {
            theme : 'Theme',
            reset : 'Reset',
            resetTooltip :'Reset to default bars',
            classic : 'Classic',
            classicWeb : 'Classic Web',
            modern : 'Modern',
            show : 'Show',
            custom : 'Custom',
            progress : 'Progress',
            progressStyle : 'Progress Style',
            configure : 'Configure',
            preview : 'Preview',
            add : 'Add',
            moreOptions : 'More Options',
            bar : 'Bar',
            summaryBar : 'Summary Bar',
            label : 'Label',
            labelName : 'Label Field',
            height : 'Height',
            barType : 'Bar Type',
            barName : 'Bar Name',
            barColor : 'Bar Color',
            progressColor : 'Progress Color',
            startDate : 'Start Date Field',
            finishDate : 'Finish Date Field',
            progressField : 'Progress Field',
            showProgress : 'Show Progress',
            showCritical : 'Show Critical',
            showExpandedSummaryBars : 'Show Expanded Summary Bars',
            color : 'Bar Color',
            colorPicker : 'Color Picker',
            byActivityCode : 'By Activity Code:',
            removeBar : 'Remove Bar',
            removeLabel : 'Remove Label',
            swapColors: 'Swap Colors',
            barHeight : {
                XS : 'Extra Small',
                S : 'Small',
                M : 'Medium',
                L : 'Large',
                XL : 'Extra Large'
            },
            labelHeight : {
                S : 'Small',
                M : 'Medium',
                L : 'Large'
            },
            progressStyles : {
                modern : 'Modern',
                classic : 'Classic',
                classicWeb : 'Classic Web'
            },
            barThemes: {
                classic : 'Classic',
                modern : 'Modern',
                dark: 'Dark',
                highlighter : 'Highlighter',
                bright : 'Bright'
            }
        }
    };
});
