define([
    'gridapi.lodash',
    'gridapi.grid/columns/core/renderer',
    'gridapi.grid/gridMixins'
], function (_, BaseRenderer, mixins) {
    'use strict';

    function LUXRenderer() {
        BaseRenderer.apply(this, arguments);
    }

    LUXRenderer.extend = mixins.extendFn;

    LUXRenderer.prototype = _.assign(Object.create(BaseRenderer.prototype), {});

    return LUXRenderer;
});
