define([
    'gridapi.lodash',
    'gridapi.grid/columns/core/BaseColumnBuilder'
], function (_, BaseColumnBuilder) {
    'use strict';

    /**
     * @class ColumnBuilder
     *
     * @param {BaseColumnBuilder#args} args
     * @private
     */
    function ColumnBuilder(args) {
        BaseColumnBuilder.apply(this, arguments);
    }

    ColumnBuilder.prototype = _.assign(Object.create(BaseColumnBuilder.prototype), {});

    return ColumnBuilder;
});
