define([], function () {
    'use strict';
    var GROUPING_THEMES = {
        order : ['CLASSIC_PASTEL', 'MODERN_BANDS', 'MODERN_NOTCHES', 'MODERN_LINE', 'CLASSIC_BANDS'],
        CLASSIC_PASTEL : {
            key : 'CLASSIC_PASTEL',
            label : 'classicPastel',
            style : 'grid-band-theme-classic',
            classes : ['group-background-0', 'group-background-1', 'group-background-2', 'group-background-3', 'group-background-4', 'group-background-5', 'group-background-6', 'group-background-7']
        },
        CLASSIC_VIBRANT : {
            key : 'CLASSIC_VIBRANT',
            label : 'classicVibrant',
            style : 'grid-band-theme-classic-vibrant',
            classes : ['group-background-0', 'group-background-1', 'group-background-2', 'group-background-3', 'group-background-4', 'group-background-5', 'group-background-6']
        },
        PASTEL : {
            key : 'PASTEL',
            label : 'modernPastel',
            style : 'grid-band-theme-modern-pastel',
            classes : ['group-background-0', 'group-background-1', 'group-background-2', 'group-background-3', 'group-background-4', 'group-background-5']
        },
        HIGHLIGHTER : {
            key : 'HIGHLIGHTER',
            label : 'modernHighlighter',
            style : 'grid-band-theme-modern-highlighter',
            classes : ['group-background-0', 'group-background-1', 'group-background-2', 'group-background-3', 'group-background-4', 'group-background-5']
        },
        DARK : {
            key : 'DARK',
            label : 'modernDark',
            style : 'grid-band-theme-modern-dark',
            classes : ['group-background-0', 'group-background-1', 'group-background-2', 'group-background-3', 'group-background-4', 'group-background-5']
        },
        GREY : {
            key : 'GREY',
            label : 'modernGrey',
            style : 'grid-band-theme-modern-grey',
            classes : ['group-background-0', 'group-background-1', 'group-background-2', 'group-background-3', 'group-background-4', 'group-background-5']
        }
    };

    return GROUPING_THEMES;
});
