define(function () {
    "use strict";

    return {
        notSorted : "Borrar ordenación",
        sortedAscending : "Orden ascendente",
        sortedDescending : "Orden descendente",
        columnToggle : "Columnas",
        invalidFormatError : "Este valor no tiene un formato correcto.",
        uniqueError : "{0}: ya existe. Introduzca un valor único.",
        loading : "Cargando...",
        required : "Necesario",
        autoNumbered : "Numeración automática",
        selectDeselect : "Seleccionar/Anular selección",
        selectDeselectAll : "Seleccionar todo/Anular selección de todo",
        noResultsFound : "No se han encontrado resultados de búsqueda.",
        selected : "Seleccionado",
        unselected : "No Seleccionado",
        gridLabel : "Cuadrícula de datos",
        gridUsage : "Esta es una cuadrícula de datos virtualizados; solo las filas visibles se muestran en el explorador. A medida que se desplaza hacia arriba y hacia abajo por la lista, se irán mostrando más elementos. Utilice las teclas de flecha y el tabulador para desplazarse por la cuadrícula. Pulse Esc para salir del modo de acción y salga de la cuadrícula con el tabulador. Pulse F2 o Intro para abrir el editor de las celdas. Pulse espacio para activar las celdas con acciones especiales, como enlaces o botones. Si está activada, la tecla de menú abrirá un menú contextual para las filas seleccionadas.",
        rowsSelected : "{0} filas seleccionadas",
        yes : "Sí",
        no : "No",
        quickAddHint : "Agregar {0}",
        escapeModeText : "Pulse el tabulador para omitir este widget de cuadrícula. Pulse Intro, Esc o haga clic para acceder a la cuadrícula.",
        noActionsAvailable : " No hay acciones disponibles",
        noGroupValue : "Ninguno",
        richTextEditor : {
            accept : "Aplicar",
            cancel : "Cancelar",
            close : "Cerrar"
        },
        cellState : {
            groupRowHeaderLabel : "Fila de grupo",
            rowHeaderLabel : "Fila",
            columnHeaderLabel : "Columna",
            cellLabel : "Valor de celda",
            editableCell : "Pulse f2 o Intro para abrir el editor",
            checkboxCell : "Pulse espacio para alternar la casilla de control",
            selectRowCell : "Pulse espacio para alternar la selección de fila",
            linkCell : "Pulse espacio para activar el enlace",
            errorOnCell : "Pulse espacio para leer los errores de la celda",
            menuLabel : "Menú contextual",
            menuButtonDescription : "Pulse espacio para abrir el menú contextual",
            quickAddButtonDescription : "Pulse espacio para agregar una nueva fila",
            errorsLabel : "Errores de celda",
            columnSort : "Pulse espacio para ordenar por columna"
        },
        columnEditors : {
            text : "Entrada de editor de texto estándar. Introduzca el texto para esta columna",
            textArea : "Entrada de editor de área de texto estándar. Introduzca el texto para esta columna",
            number : "Introduzca un valor numérico",
            select : "Pulse el tabulador para omitir este widget de cuadrícula. Pulse Intro, Esc o haga clic para acceder a la cuadrícula.",
            spinner : "Editor de cuadro combinado. Pulse hacia arriba y hacia abajo para desplazarse por la lista y seleccionar un valor. Seleccione el valor con Intro.",
            date : "Introduzca una fecha como texto o bien pulse f2 para abrir el selector de fecha.",
            picker : "Pulse f2 para abrir un selector emergente y seleccionar elementos."
        },
        export : {
            fileName : "Descargar",
            worksheetName : "Sheet1",
            user : "Usuario A"
        },
        statusBar : {
            countLabel : "Total:",
            enable : "Activar",
            disable : "Desactivar",
            readOnlyCellStyle : "Resaltar celdas de solo lectura",
            exportToExcel : "Descargar"
        },
        timephased : {
            weekDay : "Semana/día",
            monthWeek : "Mes/semana",
            quarterMonth : "Trimestre/mes",
            yearMonth : "Año/mes",
            yearQuarter : "Año/trimestre",
            viewMore : "Mostrar 10 más",
            weekOf : "Semana de {0}",
            reportingPeriod : "Período de informes: {0}"
        },
        printConfigurator : {
            grid : {
                legend : "Cuadrícula",
                orientation : "Orientación",
                portrait : "Vertical",
                landscape : "Horizontal",
                pages : "Ajustar a número de páginas"
            },
            gantt : {
                legend : "Gantt",
                columns : "Número de columnas",
                startDate : "De",
                endDate : "Para",
                repeatColumn : "Repetir primera columna",
                other : "Otro"
            }
        }
    };
});
