define(function () {
    'use strict';

    return {
        notSorted : "Effacer le tri",
        sortedAscending : "Tri croissant",
        sortedDescending : "Tri décroissant",
        columnToggle : "Colonnes",
        invalidFormatError : "Cette valeur n'est pas formatée correctement.",
        uniqueError : "{0} : Existe déjà. Entrez une valeur unique.",
        loading : "Chargement en cours...",
        required : "Requis",
        autoNumbered : "Numérotation automatique",
        selectDeselect : "Sélectionner/Désélectionner",
        selectDeselectAll : "Tout sélectionner/désélectionner",
        noResultsFound : "Aucun résultat de recherche trouvé.",
        selected : "Sélectionné",
        unselected : "Non sélectionné",
        gridLabel : "Grille de données",
        gridUsage : "Grille de données virtualisée, où seules les lignes visibles sont affichées dans le navigateur. D'autres éléments apparaissent lorsque vous faites défiler la liste vers le haut ou le bas. Utilisez les touches fléchées et de tabulation pour naviguer dans la grille. Appuyez sur Echap pour quitter le mode action et utilisez la touche de tabulation pour sortir de la grille. Les touches F2 ou Entrée ouvrent l'éditeur de cellules. Appuyez sur la barre d'espacement pour activer les cellules contenant des actions spéciales, telles que des liens ou des boutons. Si elle est activée, la touche de menu permet d'ouvrir un menu contextuel pour les lignes sélectionnées.",
        rowsSelected : "{0} lignes sélectionnées",
        yes : "Oui",
        no : "Non",
        quickAddHint : "Ajouter un(e) {0}",
        escapeModeText : "Appuyez sur la touche Tab pour ignorer ce widget de grille. Appuyez sur Entrée, Echap ou cliquez pour accéder à la grille.",
        noActionsAvailable : " Aucune action disponible",
        noGroupValue : "Aucun",
        richTextEditor : {
            accept : "Appliquer",
            cancel : "Annuler",
            close : "Fermer"
        },
        cellState : {
            groupRowHeaderLabel : "Ligne de groupe",
            rowHeaderLabel : "Ligne",
            columnHeaderLabel : "Colonne",
            cellLabel : "Valeur de cellule",
            editableCell : "Appuyez sur F2 ou Entrée pour ouvrir l'éditeur",
            checkboxCell : "Appuyez sur la barre d'espacement pour activer/désactiver la case à cocher",
            selectRowCell : "Appuyez sur la barre d'espacement pour activer/désactiver la sélection de ligne",
            linkCell : "Appuyez sur la barre d'espacement pour activer le lien",
            errorOnCell : "Appuyez sur la barre d'espacement pour lire les erreurs de cellule",
            menuLabel : "Menu contextuel",
            menuButtonDescription : "Appuyez sur la barre d'espacement pour ouvrir le menu contextuel",
            quickAddButtonDescription : "Appuyez sur la barre d'espacement pour ajouter une nouvelle ligne",
            errorsLabel : "Erreurs de cellule",
            columnSort : "Appuyez sur la barre d'espacement pour trier par colonne"
        },
        columnEditors : {
            text : "Entrée d'éditeur de texte standard, entrez du texte pour cette colonne",
            textArea : "Entrée d'éditeur de zone de texte standard, entrez du texte pour cette colonne",
            number : "Entrer une valeur numérique",
            select : "Appuyez sur la touche Tab pour ignorer ce widget de grille. Appuyez sur Entrée, Echap ou cliquez pour accéder à la grille.",
            spinner : "Editeur de zone de ligne déroulante, appuyez sur haut et bas pour parcourir la liste afin de sélectionner une valeur. Appuyez sur Entrée pour sélectionner une valeur.",
            date : "Entrez une date sous forme de texte ou appuyez sur F2 pour ouvrir le sélecteur de date.",
            picker : "Appuyez sur F2 pour ouvrir une fenêtre contextuelle de sélection d'éléments."
        },
        export : {
            fileName : "Télécharger",
            worksheetName : "Feuille1",
            user : "Un utilisateur"
        },
        statusBar : {
            countLabel : "Total :",
            enable : "Activer",
            disable : "Désactiver",
            readOnlyCellStyle : "Mettre en surbrillance les cellules en lecture seule",
            exportToExcel : "Télécharger"
        },
        timephased : {
            weekDay : "Semaine/Jour",
            monthWeek : "Mois/semaine",
            quarterMonth : "Trimestre/mois",
            yearMonth : "Année/Mois",
            yearQuarter : "Année/trimestre",
            viewMore : "Afficher 10 autres",
            weekOf : "Semaine du {0}",
            reportingPeriod : "Période de reporting : {0}"
        },
        printConfigurator : {
            grid : {
                legend : "Grille",
                orientation : "Orientation",
                portrait : "Portrait",
                landscape : "Paysage",
                pages : "Ajuster au nombre de pages"
            },
            gantt : {
                legend : "Gantt",
                columns : "Nombre de colonnes",
                startDate : "De",
                endDate : "A",
                repeatColumn : "Répéter la première colonne",
                other : "Autre"
            }
        }
    };
});
