/**
 * Copyright (c) 2013 - 2015 Oracle and/or its affiliates. All rights reserved.
 *
 * @fileOverview
 * Implements a search model conatining search form information.
 * @author Joe McClintock
 */
define(['ojs/ojcore', 'ojs/ojmodel'],

    function(oj) {
        'use strict';
        // extend model for search criteria
        var SearchModel = oj.Model.extend({
            defaults: {
                term:      null,
                category:  'ALL',
                prefsLink: null
            }
        });

        return SearchModel;
    });