define([
    'knockout',
    'text!./component.json',
    'underscore',
    'AbstractCCAWidget'
], function(ko, meta, _, AbstractCCAWidget) {
    'use strict';

    var Model = function(context) {
        var self = this;

        self.widgetName = 'luxBreadcrumbs';

        AbstractCCAWidget.call(self, context, meta);
        // Create element ID for the widget container element
        var widgetContainerId = self._uniqueId('oj-lux-breadcrumbs-id-');

        // Register the widget container ID
        self.registerWidgetContainerId(widgetContainerId);

        // save properties in object level variable.
        self.properties = context.properties;
    };

    Model.prototype = Object.create(AbstractCCAWidget.prototype);
    Model.prototype.constructor = Model;

    return Model;
});